/* single product page  */
/* first section  */
.single_product_hero {
    padding: 0 32px;
    position: relative;
    margin-bottom: 64px;
}
.single_product_hero_bg{
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 700px;
    border-radius: 16px;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}
.single_product_hero_wrapper{
    flex: 1;
    width: 100%;
    display: flex;
    justify-content: end;
    align-items: end;
    height: 100%;
    max-width: 1188px;
    padding:0 24px 32px;
    margin: 0 auto;
}
.single_product_overlay {
    width: 558px;
    display: flex;
    flex-direction: column;
}

.single_product_row_top {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    padding-bottom: 10px;
    margin-bottom: 24px;
    border-bottom: 1px solid #fff;
}
.single_product_row_center {
    display: flex;
    justify-content: space-between;
    gap: 12px;
    margin-bottom: 16px;
    border-bottom: 1px solid #fff;
    padding-bottom: 10px;
}

.single_product_label {
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    text-wrap-mode: nowrap;
    line-height: 24px;
    align-content: end;
    color: #fff;
}
.single_product_title{
    font-family: "Lexend", Sans-serif;
    font-size: 36px;
    font-weight: 700;
    line-height: 44px;
    color: #fff;
    text-align: end;
    letter-spacing: -2px;
    max-width: 380px;
    width: 100%;
    display: inline;
}
.single_product_value {
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 700;
    line-height: 24px;
    color: #fff;
    align-content: end;
}
.single_product_wrapper{
    display: flex;
    gap: 16px;
}
.single_product_colors_list {
    display: flex;
    gap: 8px;
    align-items: center;
}

.single_product_color_item {
    cursor: pointer;
    border: 1px solid transparent;
    border-radius: 8px;
    overflow: hidden;
    background-color: #F9F3E8;
    display: flex;
    transition: all 0.2s ease;
}
.single_product_color_item img {
    width: 60px;
    height: 60px;
    object-fit: cover;
}
.single_product_color_item.active {
    border-color: #E94932;
}
.single_product_row_bottom{
    display: flex;
}
.single_product_buy_btn:hover {
    color: #fff;
}
.single_product_buy_btn {
    background: #E94932;
    width: 100%;
    color: #fff;
    padding: 0px 16px;
    border-radius: 5px;
    font-family: "Lexend", Sans-serif;
    font-size: 14px;
    font-weight: 700;
    line-height: 35px;
    text-decoration: none;
    display: inline-block;
    text-align: center;
}
.single_product_size{
    font-family: "Lexend", Sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 32px;
}
.single_product_hero_wrapper_mobile{
    display: none;
}
@media(max-width: 1024px){
    .single_product_hero{
        padding: 0 24px;
    }
}
@media(max-width: 768px){
    .single_product_size{
        font-size: 32px;
        line-height: 40px;
        letter-spacing: -1.2px; 
    }
    .single_product_hero_wrapper{
        max-width: 100%;
        padding: 24px 0 0;
    }
    .single_product_row_top{
        flex-direction: column;
        gap: 12px;
        margin-bottom: 16px;
        padding-bottom: 0;
    }
    .single_product_row_center{
        flex-direction: column;
    }
    .single_product_hero_bg{
        min-height: 350px;
    }
    .single_product_label{
        color: #000;
    }
    .single_product_wrapper{
        flex-direction: column;
    }
    .single_product_overlay{
        width: 100%;
    }
    .single_product_value{
        color: #000;
    }
    .single_product_hero{
        margin-bottom: 48px;
    }
    .single_product_title{
        font-size: 36px;
        line-height: 44px;
        text-align: start;
        color: #000;
        letter-spacing: -1.2px; 
    }
    .single_product_color_item img{
        height: 60px;
        width: 60px;
    }
    .single_product_hero_wrapper_desktop{
        display: none;
    }
    .single_product_hero_wrapper_mobile{
        display: flex;
    }
}


/* second section  */
.single_product_second_section{
    margin-bottom: 80px;
}
.single_product_second_container {
    display: flex;
    gap: 16px;
    max-width: 1188px;
    padding: 0 24px;
    margin: 0 auto;
}
.single_product_second_left_search{
    position: absolute;
    top: 50%;
    left: 50%;
    background: #FEFCF4;
    align-items: center;
    justify-content: center;
    padding: 8px;
    display: flex;
    z-index: 5;
    border-radius: 50%;
    transform: translate(-50%, -50%);
}
.single_product_second_left {
  max-width: 608px;
  margin-bottom: 0 !important;
}

.single_product_second_gallery_image_wrapper {
  width: 100%;
  height: 450px;
  background-color: #F9F3E8;
  border-radius: 16px;
  padding: 16px;
  overflow: hidden;
}

.single_product_second_gallery_image {
  width: 100%;
  height: 100% !important;
  object-fit: contain;    /* ensures image covers */
  object-position: center;
  display: block;
}

.single_product_second_right {
  flex: 1;
  background-color: #F9F3E8;
  display: flex;
  flex-direction: column;
  border-radius: 16px;
  padding: 24px 16px;
  gap: 40px;
}
.single_product_second_description{
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.single_product_second_description p strong{
    font-weight: 700;
}
.single_product_second_description p{
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin: 0;
    color: #000;
}
.single_product_second_left .slick-dots{
    display: flex;
    gap: 10px;
    justify-content: center;
    position: static !important;
    transform: translateY(16px);
}
.single_product_second_left .slick-dots li.slick-active{
    opacity: 1;
}
.single_product_second_left .slick-dots li button{
    height: 100%;
    width: 100%;
    padding: 0;
}
.single_product_second_left .slick-dots li button::before{
    display: none;
    content: '';
}
.single_product_second_left .slick-dots li{
    width: 50px;
    height: 2px;
    border-radius: 20px;
    background: #E94932;
    opacity: 0.5;
    margin: 0;
}

/* Accordion */
.single_product_second_accordion_item {
  margin-bottom: 8px;
  overflow: hidden;
}

.single_product_second_accordion_header {
  cursor: pointer;
  padding: 8px 0px;
  border-bottom: 1px solid #000;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.single_product_second_accordion_content p{
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin: 0;
    color: #000;
}
.single_product_second_accordion_header h3 {
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    margin: 0;
    color: #000;
}

.single_product_second_accordion_content {
  max-height: 0;
  overflow: hidden;
  padding-top: 16px;
  display: flex;
  flex-direction: column;
  gap: 8px;
  transition: max-height 0.4s ease, padding 0.3s ease;
}
.single_product_second_accordion_item.accordian_active .single_product_second_accordion_header img{
    content: url("/wp-content/uploads/2025/08/x-circle-2.svg");
}
@media(max-width: 1024px){
    .single_product_second_left{
        max-width: 400px;
    }
    .single_product_second_left .slick-list,
    .single_product_second_left .single_product_second_gallery_image_wrapper,
    .single_product_second_left .slick-track{
        height: 100% !important;
    }
}
@media(max-width: 768px){
    .single_product_second_container{
        flex-direction: column;
        gap: 42px;
    }
    .single_product_second_left {
        height: 300px;
    }
    .single_product_second_gallery_image_wrapper{
        padding: 10px;
    }
    .single_product_second_section{
        margin-bottom: 48px;
    }
    .single_product_second_accordion_header{
        padding: 10px 0;
    }
}

/* third section  */
.single_product_third_section{
    margin-bottom: 64px;
    display: none;
}
.single_product_third_section_container{
    max-width: 1188px;
    margin: 0 auto;
    padding: 0 24px;
}
.single_product_third_title{
    font-family: "Lexend", Sans-serif;
    font-size: 36px;
    font-weight: 700;
    line-height: 44px;
    letter-spacing: -2px;
    margin-top: 0;
    margin-bottom: 8px;
}
.single_product_third_row:nth-child(even) {
    flex-direction: row-reverse;
}
.single_product_third_row {
    display: flex;
    gap: 16px;
    flex-direction: row;
    margin-bottom: 16px;
}
/* common style for pseudo background */
.single_product_third_row_image::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0; /* keep it behind content */
}

/* Odd rows */
.single_product_third_row:nth-child(odd) .single_product_third_row_image::before {
    background-image: url("/wp-content/uploads/2025/08/Vector-1.png");
}

/* Even rows */
.single_product_third_row:nth-child(even) .single_product_third_row_image::before {
    background-image: url("/wp-content/uploads/2025/08/Vector-11.png");
}
.single_product_third_row_image{
    flex: 1;
    display: flex;
    min-height: 328px;
    border-radius: 16px;
    overflow: hidden;
    position: relative; /* required for pseudo-element positioning */
    z-index: 1;
}
.single_product_third_row_image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}
.single_product_third_row_content{
    width: 461px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    border-radius: 16px;
    padding: 24px 16px;
    background-color: #F9F3E8;
}
.single_product_third_row_description{
    margin-left: 16px;
}
.single_product_third_row_title{
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 700;
    line-height: 24px;
    margin: 0;
}
.single_product_third_row_description ol,
.single_product_third_row_description ul{
    padding: 0;
    display: flex;
    flex-direction: column;
}
.single_product_third_row_description ol li p,
.single_product_third_row_description ul li p,
.single_product_third_row_description ol li,
.single_product_third_row_description ul li{
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin: 0;
}
@media(max-width: 768px){
    .single_product_third_row{
        flex-direction: column !important;
    }
    .single_product_third_row:nth-child(even) {
        flex-direction: column !important;
    }
    .single_product_third_row_content{
        width: 100%;
    }
    .single_product_third_row_image{
        min-height: auto;
    }
}

/* fourth section  */
.single_product_fourth_section {
    margin-bottom: 64px;
}
.single_product_fourth_section_container{
    max-width: 1188px;
    padding: 0 24px;
    margin: 0 auto;
}
.single_product_fourth_title {
    font-family: "Lexend", Sans-serif;
    font-size: 36px;
    font-weight: 700;
    text-align: left;
    line-height: 44px;
    letter-spacing: -2px;
    margin-top: 0;
    color: #000;
    margin-bottom: 8px;
}

.single_product_fourth_container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: #F9F3E8;
    border-radius: 8px;
    padding: 32px 0;
}
.single_product_fourth_item:last-child {
    border: none;
}
.single_product_fourth_item {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: start;
    padding: 0 32px;
    gap: 16px;
    border-right: 1px solid #A0A0A0;
    text-align: start;
}

.single_product_fourth_icon {
    width: auto;
    height: 45px !important;
    object-position: center;
    object-fit: contain;
}

.single_product_fourth_label {
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 700;
    text-align: left;
    line-height: 24px;
}
@media(max-width: 1024px){
    .single_product_fourth_item{
        width: 50%;
        border-right: 0;
        flex: unset;
        border-bottom: 1px solid #A0A0A0;
    }
}
@media(max-width: 768px){
    .single_product_fourth_item {
        border-right: none;
        border-bottom:1px solid #A0A0A0;
        align-items: start;
        padding: 0 24px 16px;
    }
    .single_product_fourth_section{
        margin-bottom: 48px;
    }
    .single_product_fourth_title{
        font-size: 24px;
        line-height: 32px;
        letter-spacing: -1.2px;
    }
    .single_product_fourth_container{
        padding: 32px 24px;
        row-gap: 16px;
    }
    .single_product_fourth_item:last-child{
        width: 100%;
    }
}

/* sixth section  */
.single_product_sixth_section{
    margin-bottom: 64px;
    padding: 0 24px;
}
.single_product_sixth_wrapper::before{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    content: '';
    /*background-image: url("/wp-content/uploads/2025/08/Vector-11.png");
    background-position: -55%;
    background-size: contain;
    background-repeat: no-repeat;*/
}
.single_product_sixth_wrapper{
    max-width: 1140px;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    padding: 50px 48px;
    display: flex;
    justify-content: right;
    align-items: center;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 16px;
}
.single_product_sixth_inner_content{
    max-width: 437px;
    padding: 24px;
    display: flex;
    min-height: 350px;
    justify-content: space-between;
    flex-direction: column;
    border-radius: 16px;
    gap: 24px;
    z-index: 5;
    background-color: #F9F3E8;
}
.single_product_sixth_title{
    font-family: "Sansation", Sans-serif;
    font-size: 36px;
    font-weight: 700;
    line-height: 44px;
    letter-spacing: -2px;
    margin: 0;
}
.single_product_sixth_description p{
    font-family: "Sansation", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px; 
}
.single_product_sixth_button:hover{
    background-color: transparent;
    color: #E94932;
}
.single_product_sixth_button{
    background-color: #E94932;
    text-decoration: none;
    padding: 0 16px;
    max-width: 200px;
    justify-content: center;
    border-radius: 5px;
    display: flex;
    border: 1px solid #E94932;
    color: #fff;
    font-family: "Lexend", Sans-serif;
    font-size: 14px;
    font-weight: 700;
    line-height: 35px; 
}
.single_product_sixth_inner_content_mobile{
    display: none;
}
@media(max-width: 768px){
    .single_product_sixth_section{
        margin-bottom: 48px;
    }
    .single_product_sixth_inner_content_desktop{
        display: none;
    }
    .single_product_sixth_inner_content_mobile{
        display: flex;
    }
    .single_product_sixth_wrapper{
        height: 250px;
        padding: 0;
        border-radius: 16px 16px 0 0;
    }
    .single_product_sixth_wrapper::before{
        background-position: bottom;
    }
    .single_product_sixth_inner_content{
        min-height: unset;
    }
    .single_product_sixth_title{
        font-size: 24px;
        line-height: 32px;
        letter-spacing: -1.2px;
        margin-bottom: 16px;
    }
}



/* seventh last section  */
.single_product_seven_section{
    margin-bottom: 100px;
}
.single_product_seven_section_wrapper{
    max-width: 1188px;
    margin: 0 auto;
    padding: 0px 24px;
}
.single_product_seven_title{
    font-family: "Lexend", Sans-serif;
    font-size: 36px;
    font-weight: 700;
    line-height: 44px;
    letter-spacing: -2px;
    margin-top: 0;
    color: #000;
    margin-bottom: 8px; 
}
.single_product_seven_wrapper{
    display: flex;
    gap: 16px;
}
.single_product_seven_link{
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.single_product_seven_item{
    flex: 1;
    display: flex;
    flex-direction: column;
}
.single_product_seven_link:hover{
    color: #1D1D1D;
}
.single_product_seven_link{
    text-decoration: none;
}
.single_product_seven_thumb img{
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: center;
    display: flex;
}
.single_product_seven_item:hover .single_product_seven_product_title{
    color: #E94932;
}
.single_product_seven_thumb{
    height: 273px;
    width: 100%;
    display: flex;
    background: #F9F3E8;
    border-radius: 16px;
    overflow: hidden;
}
.single_product_seven_product_title{
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 700;
    color: #1D1D1D;
    margin: 0;
    line-height: 24px; 
}
.single_product_seven_wrapper_mobile{
    display: none;
}
@media(max-width: 768px){
    .single_product_seven_wrapper{
        flex-direction: column;
    }
    .single_product_seven_section{
        margin-bottom: 48px;
    }
    .single_product_seven_title{
        font-size: 32px;
        line-height: 40px;
        letter-spacing: -1.5px;
    }
    .single_product_seven_wrapper_desktop{
        display: none;
    }
    .single_product_seven_wrapper_mobile{
        display: flex;
    }
    .single_product_seven_section_wrapper{
        padding: 0 0 0 24px;
    }
    .single_product_seven_item {
        margin-right: 16px;
    }
    .single_product_seven_thumb{
        height: 160px;
    }
}
